<?php

/**
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * https://www.d3data.de
 *
 * @copyright (C) D3 Data Development (Inh. Thomas Dartsch)
 * @author    D3 Data Development - Daniel Seifert <info@shopmodule.com>
 * @link      https://www.oxidmodule.com
 */

declare(strict_types=1);

use D3\MailConfigChecker\Application\Controller\Admin\MailCheckBase;
use D3\MailConfigChecker\Application\Controller\Admin\MailCheckMenu;
use D3\MailConfigChecker\Application\Controller\Admin\MailConfigCheck;
use D3\MailConfigChecker\Application\Controller\Admin\MailInfoPage;
use D3\MailConfigChecker\Application\Controller\Admin\MailTester;
use D3\MailConfigChecker\Application\Controller\Admin\SpfChecker;
use D3\MailConfigChecker\Application\Controller\Admin\SmtpChecker;
use D3\MailConfigChecker\Application\Model\Constants;

$sMetadataVersion = '2.1';

$logo = '<img src="https://logos.oxidmodule.com/d3logo.svg" alt="(D3)" style="height:1em;width:1em">';

/**
 * Module information
 */
$aModule = [
    'id'          => Constants::OXID_MODULE_ID,
    'title'       => [
        'de' => $logo.' E-Mail Konfigurationspr&uuml;fung',
        'en' => $logo.' Mail Configuration Check Tool',
    ],
    'description' => [
        'de' => '',
        'en' => '',
    ],
    'thumbnail'   => 'picture.svg',
    'version'     => '3.0.0.0',
    'author'      => 'D&sup3; Data Development (Inh.: Thomas Dartsch)',
    'email'       => 'support@shopmodule.com',
    'url'         => 'https://www.oxidmodule.com/',
    'controllers' => [
        'd3mailcheck'       => MailCheckBase::class,
        'd3mailcheckmenu'   => MailCheckMenu::class,
        'd3mailinfopage'    => MailInfoPage::class,
        'd3mailconfigcheck' => MailConfigCheck::class,
        'd3smtpchecker'     => SmtpChecker::class,
        'd3spfchecker'      => SpfChecker::class,
        'd3mailtester'      => MailTester::class,
    ],
    'templates'   => [
        '@' . Constants::OXID_MODULE_ID . '/admin/mailCheckBase.tpl'    => 'views/smarty/admin/mailcheckbase.tpl',
        '@' . Constants::OXID_MODULE_ID . '/admin/mailCheckMenu.tpl'    => 'views/smarty/admin/mailcheckmenu.tpl',
        '@' . Constants::OXID_MODULE_ID . '/admin/mailInfoPage.tpl'     => 'views/smarty/admin/mailinfopage.tpl',
        '@' . Constants::OXID_MODULE_ID . '/admin/mailConfigCheck.tpl'  => 'views/smarty/admin/mailconfigcheck.tpl',
        '@' . Constants::OXID_MODULE_ID . '/admin/smtpCheck.tpl'        => 'views/smarty/admin/smtpCheck.tpl',
        '@' . Constants::OXID_MODULE_ID . '/admin/spfCheck.tpl'         => 'views/smarty/admin/spfCheck.tpl',
        '@' . Constants::OXID_MODULE_ID . '/admin/mailTester.tpl'       => 'views/smarty/admin/mailTester.tpl',
        '@' . Constants::OXID_MODULE_ID . '/admin/inc_bootstrap.tpl'    => 'views/smarty/admin/inc/bootstrap.tpl',
    ],
];
